Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net
Class DiscardTCPClient

    java.lang.Object
      |
      +--org.apache.commons.net.SocketClient
            |
            +--org.apache.commons.net.DiscardTCPClient

Direct Known Subclasses:
  EchoTCPClient

public class DiscardTCPClient
extends SocketClient

The DiscardTCPClient class is a TCP implementation of a client for the Discard protocol described in RFC 863. To use the class, merely establish a connection with connect and call getOutputStream() to retrieve the discard output stream. Don't close the output stream when you're done writing to it. Rather, call disconnect to clean up properly.

Author:
  Daniel F. Savarese
See Also:
  `DiscardUDPClient`

Field Summary
`static int` | `DEFAULT_PORT` The default discard port.

Fields inherited from class org.apache.commons.net.SocketClient
`_defaultPort_, _input_, _isConnected_, _output_, _socket_, _socketFactory_, _timeout_, NETASCII_EOL`

Constructor Summary
`DiscardTCPClient()` The default DiscardTCPClient constructor.

Method Summary
`java.io.OutputStream` | `getOutputStream()` Returns an OutputStream through which you may write data to the server.

Methods inherited from class org.apache.commons.net.SocketClient
`_connectAction_, connect, connect, connect, connect, connect, connect, disconnect, getDefaultPort, getDefaultTimeout, getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort, getSoLinger, getSoTimeout, getTcpNoDelay, isConnected, setDefaultPort, setDefaultTimeout, setSocketFactory, setSoLinger, setSoTimeout, setTcpNoDelay, verifyRemote`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PORT

    public static final int DEFAULT_PORT

  The default discard port. It is set to 9 according to RFC 863.

  See Also:
    Constant Field Values

Constructor Detail

### DiscardTCPClient

    public DiscardTCPClient()

  The default DiscardTCPClient constructor. It merely sets the default port to `DEFAULT_PORT` .

Method Detail

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Returns an OutputStream through which you may write data to the server. You should NOT close the OutputStream when you're finished reading from it. Rather, you should call disconnect to clean up properly.

  Returns:
    An OutputStream through which you can write data to the server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2003 Apache Software Foundation. All Rights Reserved.